package com.syjy.calculate.entity;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Data
@Getter
@Setter
public class ComputeRequest extends CalculateRequest {

  /**
   * 额定容量
   */
  private BigDecimal ratedCapacity;

  /**
   * 发电量
   */
  private BigDecimal powerGeneration;

  /**
   * 偏差积分电量(万千瓦时)
   */
  private BigDecimal deviationPower;

  /**
   * 考核计算参数
   */
  private ComputeResult computeResult;

  /**
   * 无参构造函数
   */
  public ComputeRequest() {
    super();
  }
}
