package com.syjy.calculate.util;

import cn.hutool.core.convert.Convert;
import cn.hutool.db.sql.SqlUtil;
import com.alibaba.druid.sql.SQLUtils;
import org.springframework.jdbc.support.JdbcUtils;

import javax.sql.DataSource;

public class DBUtil {

  public static String getDatabaseType(DataSource dataSource) {
    String dbType = null;
    try {
      Object databaseProductName = JdbcUtils.extractDatabaseMetaData(dataSource, "getDatabaseProductName");
      dbType = Convert.toStr(databaseProductName, "unknown").toLowerCase();
    } catch (Exception e) {
      throw new IllegalStateException("无法获取数据库类型", e);
    }
    return dbType;
  }
}
