package com.syjy.calculate.entity;

import com.sun.xml.internal.ws.developer.Serialization;
import lombok.*;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@RequiredArgsConstructor
@AllArgsConstructor
@Serialization
@Getter
@Setter
public class ComputeResult implements Serializable {


  /**
   * 时间
   */
  protected long time;

  /**
   * 考核类型（电量/分）
   */
  protected String assessmentType;

  /**
   * 中期上报率
   */
  protected String midReportGoal;
  /**
   * 中期上报率考核
   */
  protected String midReportRate;

  /**
   * 短期上报率
   */
  protected String shortReportGoal;
  /**
   * 短期上报率考核
   */
  protected String shortReportRate;

  /**
   * 超短期上报率
   */
  protected String ultraShortReportGoal;
  /**
   * 超短期上报率考核
   */
  protected String ultraShortReportRate;

  /**
   * 中期准确率
   */
  protected List<String> pointMidAccuracyGoal;
  /**
   * 中期准确率考核
   */
  protected List<String> pointMidAccuracyRate;

  /**
   * 短期准确率
   */
  protected List<String> pointShortAccuracyGoal;
  /**
   * 短期准确率考核
   */
  protected List<String> pointShortAccuracyRate;

  /**
   * 超短期准确率
   */
  protected List<String> pointUltraShortAccuracyGoal;
  /**
   * 超短期准确率考核
   */
  protected List<String> pointUltraShortAccuracyRate;

  /**
   * 中期准确率
   */
  protected String dayMidAccuracyGoal;
  /**
   * 中期准确率考核
   */
  protected String dayMidAccuracyRate;

  /**
   * 短期准确率
   */
  protected String dayShortAccuracyGoal;
  /**
   * 短期准确率考核
   */
  protected String dayShortAccuracyRate;

  /**
   * 超短期准确率
   */
  protected String dayUltraShortAccuracyGoal;
  /**
   * 超短期准确率考核
   */
  protected String dayUltraShortAccuracyRate;

  /**
   * 短期合格率
   */
  protected String midPassGoal;
  /**
   * 短期合格率考核
   */
  protected String midPassRate;

  /**
   * 短期合格率
   */
  protected String shortPassGoal;
  /**
   * 短期合格率考核
   */
  protected String shortPassRate;

  /**
   * 超短期合格率
   */
  protected String ultraShortPassGoal;
  /**
   * 超短期合格率考核
   */
  protected String ultraShortPassRate;

  /**
   * 单机合格率
   */
  protected String singleMachinePassGoal;
  /**
   * 单机合格率考核
   */
  protected String singleMachinePassRate;

  /**
   * 可用发电功率
   */
  protected String ablePowerAccuracyGoal;
  /**
   * 可用发电功率考核
   */
  protected String ablePowerAccuracyRate;

  /**
   * 理论发电功率
   */
  protected String theoryPowerAccuracyGoal;
  /**
   * 理论发电功率考核
   */
  protected String theoryPowerAccuracyRate;

  /**
   * 测风塔/气象站
   */
  protected String anemometerTowerAccuracyGoal;
  /**
   * 测风塔/气象站考核
   */
  protected String anemometerTowerAccuracyRate;

  /**
   * 装机容量可用率
   */
  protected String installedCapacityAccuracyGoal;
  /**
   * 装机容量可用率考核
   */
  protected String installedCapacityAccuracyRate;

  /**
   * 可用容量可用率
   */
  protected String availableCapacityAccuracyGoal;
  /**
   * 可用容量可用率
   */
  protected String availableCapacityAccuracyRate;


}
